Subject: bug#11732: Follow-up to bug#11732

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Jun 2018 16:28:13 +0300

> From: Masayuki Hatta <[email-masked]>
> Date: Thu, 28 Jun 2018 19:11:10 +0900
> Cc: [email-masked], [email-masked]
> 
> > By "work", do you mean that clicking on anywhere inside these dialogs
> > leaves the dialogs visible?
> 
> Yes, I was clicking around inside the dialog.
> 
> I made an animated GIF from screen capture.  Its size is around 8MB,
> so I won't attach it to this mail.  Please see:
> 
> https://www.mhatta.org/test.gif

Thanks.  It could be that Windows 10 works differently.  Or it could
be some effect of the fact that you use a Japanese input method.  (Is
it feasible for you to check on a system without IME installed?)

> Also, I made a basically-the-same-but-a-bit-different patch.  In this
> "diff2", I preserved break. I don't think it changes anything,
> though...

You are right, it doesn't.

> > It's possible that this is somehow related to the fact that I have my
> > Windows systems configured to enable "active window tracking"
> > (a.k.a. "focus follows mouse"), but even so, I'd like to be able to
> > avoid that adverse side effect on systems that are so configured.
> 
> Could you tell me how to set up "active windows tracking" on Windows
> 10?  I could find some information on the Net, but still not sure how
> to do.

Try these links, one of them will do the trick, I hope:

  https://joelpurra.com/projects/X-Mouse_Controls/
  https://winaero.com/blog/turn-on-xmouse-active-window-tracking-focus-follows-mouse-pointer-feature-in-windows-8-1-windows-8-and-windows-7/
  https://answers.microsoft.com/en-us/windows/forum/windows_10-start-winpc/active-window-tracking-in-windows-10/86c73d65-9d3e-4616-ab17-6d5c5624f777